Bug 967329 - [abrt] youtube-dl-2013.05.14-1.fc18: urllib2.py:1177:do_open:URLError: <urlopen error [Errno 8] _ssl.c:504: EOF occurred in violation of protocol>
[abrt] youtube-dl-2013.05.14-1.fc18: urllib2.py:1177:do_open:URLError: <urlop...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: youtube-dl (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
abrt_hash:c289bb1885b2353c3c39e4d5a78...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-26 13:07 EDT by Lubo
Modified: 2013-05-29 22:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-29 22:10:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.21 KB, text/plain)
2013-05-26 13:08 EDT, Lubo
no flags Details
File: core_backtrace (1.13 KB, text/plain)
2013-05-26 13:08 EDT, Lubo
no flags Details
File: environ (3.94 KB, text/plain)
2013-05-26 13:08 EDT, Lubo
no flags Details
File: smolt_data (3.07 KB, text/plain)
2013-05-26 13:08 EDT, Lubo
no flags Details

  None (edit)
Description Lubo 2013-05-26 13:07:40 EDT
Version-Release number of selected component:
youtube-dl-2013.05.14-1.fc18

Additional info:
cmdline:        python /usr/bin/youtube-dl -t https://www.google.sk/url?sa=t&rct=j&q=&esrc=s&source=web&cd=13&cad=rja&ved=0CIsBELcCMAw&url=http%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DqsbKDYFClpo&ei=nT2iUZDMBo7jO4bggegI&usg=AFQjCNHxVv773KYuSrcQRRv2VzPzLqrXNw&sig2=hy4-ww1P956y4xJ3-lNaFw&bvm=bv.47008514,d.ZWU
dso_list:       python-libs-2.7.3-13.fc18.x86_64
executable:     /usr/bin/youtube-dl
kernel:         3.9.2-200.fc18.x86_64
uid:            1000
ureports_counter: 1

Truncated backtrace:
urllib2.py:1177:do_open:URLError: <urlopen error [Errno 8] _ssl.c:504: EOF occurred in violation of protocol>

Traceback (most recent call last):
  File "/usr/lib64/python2.7/runpy.py", line 162, in _run_module_as_main
    "__main__", fname, loader, pkg_name)
  File "/usr/lib64/python2.7/runpy.py", line 72, in _run_code
    exec code in run_globals
  File "/usr/bin/youtube-dl/__main__.py", line 18, in <module>
    youtube_dl.main()
  File "/usr/bin/youtube-dl/youtube_dl/__init__.py", line 603, in main
    _real_main(argv)
  File "/usr/bin/youtube-dl/youtube_dl/__init__.py", line 587, in _real_main
    retcode = fd.download(all_urls)
  File "/usr/bin/youtube-dl/youtube_dl/FileDownloader.py", line 705, in download
    videos = self.extract_info(url)
  File "/usr/bin/youtube-dl/youtube_dl/FileDownloader.py", line 461, in extract_info
    ie_result = ie.extract(url)
  File "/usr/bin/youtube-dl/youtube_dl/InfoExtractors.py", line 96, in extract
    return self._real_extract(url)
  File "/usr/bin/youtube-dl/youtube_dl/InfoExtractors.py", line 1277, in _real_extract
    new_url = self._test_redirect(url)
  File "/usr/bin/youtube-dl/youtube_dl/InfoExtractors.py", line 1267, in _test_redirect
    response = opener.open(HeadRequest(url))
  File "/usr/lib64/python2.7/urllib2.py", line 400, in open
    response = self._open(req, data)
  File "/usr/lib64/python2.7/urllib2.py", line 418, in _open
    '_open', req)
  File "/usr/lib64/python2.7/urllib2.py", line 378, in _call_chain
    result = func(*args)
  File "/usr/lib64/python2.7/urllib2.py", line 1215, in https_open
    return self.do_open(httplib.HTTPSConnection, req)
  File "/usr/lib64/python2.7/urllib2.py", line 1177, in do_open
    raise URLError(err)
URLError: <urlopen error [Errno 8] _ssl.c:504: EOF occurred in violation of protocol>

Local variables in innermost frame:
err: SSLError(8, '_ssl.c:504: EOF occurred in violation of protocol')
h: <httplib.HTTPSConnection instance at 0x1bcfef0>
self: <urllib2.HTTPSHandler instance at 0x1bcfdd0>
req: <youtube_dl.InfoExtractors.HeadRequest instance at 0x1bcfcb0>
headers: {'Host': 'www.google.sk', 'Connection': 'close', 'User-Agent': 'Python-urllib/2.7'}
host: 'www.google.sk'
http_class: <class httplib.HTTPSConnection at 0x12d4d50>
Comment 1 Lubo 2013-05-26 13:08:00 EDT
Created attachment 753334 [details]
File: backtrace
Comment 2 Lubo 2013-05-26 13:08:26 EDT
Created attachment 753335 [details]
File: core_backtrace
Comment 3 Lubo 2013-05-26 13:08:30 EDT
Created attachment 753336 [details]
File: environ
Comment 4 Lubo 2013-05-26 13:08:33 EDT
Created attachment 753337 [details]
File: smolt_data
Comment 5 Christopher Meng 2013-05-26 22:52:15 EDT
It seems the URL is invalid,

Can you try with http://www.youtube.com/watch?v=qsbKDYFClpo ?

Thanks.
Comment 6 Lubo 2013-05-27 04:40:44 EDT
Hi, sure, after that I try with correct url and the download was OK; just it shouldn't crash with invalid URL.
Comment 7 Christopher Meng 2013-05-29 22:10:58 EDT
(In reply to Lubo from comment #6)
> Hi, sure, after that I try with correct url and the download was OK; just it
> shouldn't crash with invalid URL.

You can file a bug at upstream's issue tracker.

Please visit: https://github.com/rg3/youtube-dl/issues/new

I'll close this bug.

Note You need to log in before you can comment on or make changes to this bug.